determineStartRect {arf3DS4} | R Documentation

## Calculate starting values for an ARF model

### Description

determineStartRect calculates starting values for an ARF model by searching for maxima and minima in the data, and estimating the width of these maxima/minima.

### Usage

    determineStartRect(arfmodel, options = loadOptions(arfmodel))
    determineStartRectSimple(arfmodel, options = loadOptions(arfmodel))

### Arguments

`arfmodel` | An ARF model object (class `model`)
`options` | An "options" object (class `options`), by default the options.Rda from the current model is loaded. The value of `options@start.maxfac` determines the calculation of the spatial extent values, higher settings will lead to greater extent values.

### Details

determineStartRect determines the maxima and minima of the data and at each maximum/minimum searches in each dimension (x,y,z) the point where the maximum/minimum value is half its original value. This creates a box around the maximum/minimum, which is set to zero, to avoid searching the same area twice. The widths of this box are taken as starting values for the width-parameters.

### Value

Returns the ARF "model" object, with the starting values in the `@startval` slot.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `options`

[Package arf3DS4 version 2.5-10 Index]